It's easy to confuse envelope…">
Skip to content
Proud to collaborate with Microsoft for Startups

docusign.envelope-attachments.put-attachment ​

Updates an envelope attachment to a draft or in-process envelope. <!-- std notice DEVDOCS-114911 --> <ds-inlinemessage kind="information" markdown="1"> It's easy to confuse envelope attachments, which are developer-only files associated with an envelope, with signer attachments. To learn about the different types of attachments, see Attachments in the concept guide. </ds-inlinemessage> <!-- end notice DEVDOCS-114911 -->

Updates an envelope attachment in a draft or in-process envelope.

Overview ​

PropertyValue
Workflow typeAtomic
LibraryApp-docusign
Version1.0

Input Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
attachmentidstringYes—The unique identifier for the attachment.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
accesscontrolstringNo—Valid values are sender and senderAndAllRecipients.
attachmentid_2stringNo—The unique identifier for the attachment.
attachmenttypestringNo—Specifies the type of the attachment for the recipient.
datastringNo—A Base64-encoded representation of the attachment that is used to upload and download the file. File attachments may be up to 50 MB in size.
labelstringNo—A label for the attachment. Potential values include: - guidedForm: Guided forms provide a step-by-step, mobile-ready experience to help signers easily complete long or complex forms. - eventNotifications: A list of envelope-level event statuses that trigger Connect to send updates to the endpoint specified in the url property.
namestringNo—The name of the attachment.
remoteurlstringNo—The URL of a previously staged chunked upload. Using a chunked upload enables you to stage a large, chunkable temp file. You then use the remoteUrl property to reference the chunked upload as the content in attachment and document-related requests. The remoteUrl property cannot be used for downloads.

Output Schema ​

FieldTypeRequiredDefaultDescription
base_urlstringYes—Docusign API root, e.g. https://<host>/api
api_tokenstringNo—Bearer token; omit to use the workflow's token env var
accountidstringYes—The external account number (int) or account ID GUID.
attachmentidstringYes—The unique identifier for the attachment.
envelopeidstringYes—The envelope's GUID. Example: 93be49ab-xxxx-xxxx-xxxx-f752070d71ec
accesscontrolstringNo—Valid values are sender and senderAndAllRecipients.
attachmentid_2stringNo—The unique identifier for the attachment.
attachmenttypestringNo—Specifies the type of the attachment for the recipient.
datastringNo—A Base64-encoded representation of the attachment that is used to upload and download the file. File attachments may be up to 50 MB in size.
labelstringNo—A label for the attachment. Potential values include: - guidedForm: Guided forms provide a step-by-step, mobile-ready experience to help signers easily complete long or complex forms. - eventNotifications: A list of envelope-level event statuses that trigger Connect to send updates to the endpoint specified in the url property.
namestringNo—The name of the attachment.
remoteurlstringNo—The URL of a previously staged chunked upload. Using a chunked upload enables you to stage a large, chunkable temp file. You then use the remoteUrl property to reference the chunked upload as the content in attachment and document-related requests. The remoteUrl property cannot be used for downloads.
status_codeintegerNo—HTTP status code of the completed call
responsejsonNo—Parsed JSON response body
failure_reasonstringNo——
failure_typestringNo——
failed_atstringNo——
failed_stepstringNo——
failed_layerstringNo——
failed_at_statestringNo——
errorstringNo——
error_typestringNo——

States ​

StateInitialTerminalSuccessAuto-advanceDescription
pendingYesNo—executeWaiting to call PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments/
completedNoYesYes—HTTP call succeeded
failedNoYesNo—HTTP call failed

State Diagram ​

Transitions ​

FromActionToDescription
pendingexecutecompletedPerform PUT /v2.1/accounts/{accountId}/envelopes/{envelopeId}/attachments/
* (any state)failfailedRecord the failure reason

API Usage ​

bash
POST /api/workflows/start
Content-Type: application/json

{
  "workflow_type": "docusign.envelope-attachments.put-attachment",
  "initial_data": {
    "base_url": "value",
    "accountid": "value",
    "attachmentid": "value",
    "envelopeid": "value"
  }
}